#!/bin/sh
echo "Clearing NAND\\r" > /dev/carddsp
#rm -r /mnt/nand/*
umount /mnt/nand
mtd_debug erase /dev/mtd1 0x00000000 0x01000000
mount -t jffs2 /dev/mtdblock1 /mnt/nand

echo "Creating directories\\r" > /dev/carddsp
mkdir /mnt/nand/apps
mkdir /mnt/nand/bin
mkdir /mnt/nand/cfg
mkdir /mnt/nand/fonts
mkdir /mnt/nand/images
mkdir /mnt/nand/indicator
mkdir /mnt/nand/www
mkdir /mnt/nand/tkt
echo "Copying apps\\r" > /dev/carddsp
cp -r -p /mnt/nfs/nand/apps/* /mnt/nand/apps

echo "Copying bin\\r" > /dev/carddsp
cp -p /mnt/nfs/nand/bin/appmenu /mnt/nand/bin/appmenu
cp -p /mnt/nfs/nand/bin/appmenu.sh /mnt/nand/bin/appmenu.sh
cp -p /mnt/nfs/nand/bin/cardbas /mnt/nand/bin/cardbas
cp -p /mnt/nfs/nand/bin/filemanage /mnt/nand/bin/filemanage
cp -p /mnt/nfs/nand/bin/filemgr.sh /mnt/nand/bin/filemgr.sh
cp -p /mnt/nfs/nand/bin/imageview /mnt/nand/bin/imageview
cp -p /mnt/nfs/nand/bin/loadsrec /mnt/nand/bin/loadsrec
cp -p /mnt/nfs/nand/bin/touchcal /mnt/nand/bin/touchcal
cp -p /mnt/nfs/nand/bin/transfer /mnt/nand/bin/transfer
cp -p /mnt/nfs/nand/bin/transfer.sh /mnt/nand/bin/transfer.sh
cp -p /mnt/nfs/nand/bin/wtsvr /mnt/nand/bin/wtsvr
echo "Copying cfg\\r" > /dev/carddsp
cp -p /mnt/nfs/nand/cfg/* /mnt/nand/cfg
echo "Copying fonts\\r" > /dev/carddsp
cp -p /mnt/nfs/nand/fonts/* /mnt/nand/fonts
echo "Copying images\\r" > /dev/carddsp
cp -p /mnt/nfs/nand/images/* /mnt/nand/images
echo "Copying indicator\\r" > /dev/carddsp
cp -p /mnt/nfs/nand/indicator/* /mnt/nand/indicator
echo "Copying www\\r" > /dev/carddsp
cp -r -p /mnt/nfs/nand/www/* /mnt/nand/www
echo "Creating www/html/fonts link"
ln -s /mnt/nand/fonts /mnt/nand/www/html/fonts

echo "Updating flash\\r" > /dev/carddsp
/mnt/nand/bin/loadsrec "/mnt/nfs/Demo1 M5213EVB Boot Loader.elf.S19" M N
/mnt/nand/bin/loadsrec /mnt/nfs/m5329evb_flash.S19 O N
/usr/sbin/diag/diag s
echo "** Done **" > /dev/carddsp

